Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/ticket-master-21.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/ticket-master-21.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/ticket-master-21.exp
@@ -1,20 +1,20 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <rsc_op id="5" operation="start" operation_key="rsc_stonith_start_0" on_node="node2" on_node_uuid="node2">
+      <rsc_op id="6" operation="start" operation_key="rsc_stonith_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc_stonith" class="stonith" type="null"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="4" operation="stop" operation_key="rsc_stonith_stop_0"/>
+        <pseudo_event id="5" operation="stop" operation_key="rsc_stonith_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <pseudo_event id="4" operation="stop" operation_key="rsc_stonith_stop_0">
+      <pseudo_event id="5" operation="stop" operation_key="rsc_stonith_stop_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
@@ -22,55 +22,55 @@
   </synapse>
   <synapse id="2">
     <action_set>
-      <pseudo_event id="7" operation="stop" operation_key="rsc1:1_stop_0" internal_operation_key="rsc1:0_stop_0">
+      <pseudo_event id="8" operation="stop" operation_key="rsc1:1_stop_0" internal_operation_key="rsc1:0_stop_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="6" operation="demote" operation_key="rsc1:1_demote_0" internal_operation_key="rsc1:0_demote_0"/>
+        <crm_event id="3" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="12" operation="stop" operation_key="ms1_stop_0"/>
+        <pseudo_event id="7" operation="demote" operation_key="rsc1:1_demote_0" internal_operation_key="rsc1:0_demote_0"/>
       </trigger>
       <trigger>
-        <crm_event id="19" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1"/>
+        <pseudo_event id="13" operation="stop" operation_key="ms1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="3">
     <action_set>
-      <pseudo_event id="6" operation="demote" operation_key="rsc1:1_demote_0" internal_operation_key="rsc1:0_demote_0">
+      <pseudo_event id="7" operation="demote" operation_key="rsc1:1_demote_0" internal_operation_key="rsc1:0_demote_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="16" operation="demote" operation_key="ms1_demote_0"/>
+        <crm_event id="3" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1"/>
       </trigger>
       <trigger>
-        <crm_event id="19" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1"/>
+        <pseudo_event id="17" operation="demote" operation_key="ms1_demote_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4" priority="1000000">
     <action_set>
-      <pseudo_event id="17" operation="demoted" operation_key="ms1_demoted_0">
+      <pseudo_event id="18" operation="demoted" operation_key="ms1_demoted_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="6" operation="demote" operation_key="rsc1:1_demote_0" internal_operation_key="rsc1:0_demote_0"/>
+        <pseudo_event id="7" operation="demote" operation_key="rsc1:1_demote_0" internal_operation_key="rsc1:0_demote_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="16" operation="demote" operation_key="ms1_demote_0"/>
+        <pseudo_event id="17" operation="demote" operation_key="ms1_demote_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
     <action_set>
-      <pseudo_event id="16" operation="demote" operation_key="ms1_demote_0">
+      <pseudo_event id="17" operation="demote" operation_key="ms1_demote_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
@@ -78,74 +78,73 @@
   </synapse>
   <synapse id="6" priority="1000000">
     <action_set>
-      <pseudo_event id="13" operation="stopped" operation_key="ms1_stopped_0">
+      <pseudo_event id="14" operation="stopped" operation_key="ms1_stopped_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="7" operation="stop" operation_key="rsc1:1_stop_0" internal_operation_key="rsc1:0_stop_0"/>
+        <pseudo_event id="8" operation="stop" operation_key="rsc1:1_stop_0" internal_operation_key="rsc1:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="12" operation="stop" operation_key="ms1_stop_0"/>
+        <pseudo_event id="13" operation="stop" operation_key="ms1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7">
     <action_set>
-      <pseudo_event id="12" operation="stop" operation_key="ms1_stop_0">
+      <pseudo_event id="13" operation="stop" operation_key="ms1_stop_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="17" operation="demoted" operation_key="ms1_demoted_0"/>
+        <crm_event id="3" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1"/>
       </trigger>
       <trigger>
-        <crm_event id="19" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1"/>
+        <pseudo_event id="18" operation="demoted" operation_key="ms1_demoted_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="8">
     <action_set>
-      <crm_event id="19" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1">
-        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="node1"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="9">
-    <action_set>
-      <pseudo_event id="18" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="19" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="19" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1"/>
+        <crm_event id="3" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="10">
+  <synapse id="9">
     <action_set>
-      <pseudo_event id="3" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="4" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="4" operation="stop" operation_key="rsc_stonith_stop_0"/>
+        <pseudo_event id="5" operation="stop" operation_key="rsc_stonith_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="7" operation="stop" operation_key="rsc1:1_stop_0" internal_operation_key="rsc1:0_stop_0"/>
+        <pseudo_event id="8" operation="stop" operation_key="rsc1:1_stop_0" internal_operation_key="rsc1:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="18" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="19" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="10">
+    <action_set>
+      <crm_event id="3" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1">
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="node1"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
-
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/ticket-master-9.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/ticket-master-9.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/ticket-master-9.exp
@@ -1,20 +1,20 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <rsc_op id="5" operation="start" operation_key="rsc_stonith_start_0" on_node="node2" on_node_uuid="node2">
+      <rsc_op id="6" operation="start" operation_key="rsc_stonith_start_0" on_node="node2" on_node_uuid="node2">
         <primitive id="rsc_stonith" class="stonith" type="null"/>
         <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="4" operation="stop" operation_key="rsc_stonith_stop_0"/>
+        <pseudo_event id="5" operation="stop" operation_key="rsc_stonith_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <pseudo_event id="4" operation="stop" operation_key="rsc_stonith_stop_0">
+      <pseudo_event id="5" operation="stop" operation_key="rsc_stonith_stop_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
@@ -22,55 +22,55 @@
   </synapse>
   <synapse id="2">
     <action_set>
-      <pseudo_event id="7" operation="stop" operation_key="rsc1:1_stop_0" internal_operation_key="rsc1:0_stop_0">
+      <pseudo_event id="8" operation="stop" operation_key="rsc1:1_stop_0" internal_operation_key="rsc1:0_stop_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="6" operation="demote" operation_key="rsc1:1_demote_0" internal_operation_key="rsc1:0_demote_0"/>
+        <crm_event id="3" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1"/>
       </trigger>
       <trigger>
-        <pseudo_event id="12" operation="stop" operation_key="ms1_stop_0"/>
+        <pseudo_event id="7" operation="demote" operation_key="rsc1:1_demote_0" internal_operation_key="rsc1:0_demote_0"/>
       </trigger>
       <trigger>
-        <crm_event id="19" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1"/>
+        <pseudo_event id="13" operation="stop" operation_key="ms1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="3">
     <action_set>
-      <pseudo_event id="6" operation="demote" operation_key="rsc1:1_demote_0" internal_operation_key="rsc1:0_demote_0">
+      <pseudo_event id="7" operation="demote" operation_key="rsc1:1_demote_0" internal_operation_key="rsc1:0_demote_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="16" operation="demote" operation_key="ms1_demote_0"/>
+        <crm_event id="3" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1"/>
       </trigger>
       <trigger>
-        <crm_event id="19" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1"/>
+        <pseudo_event id="17" operation="demote" operation_key="ms1_demote_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4" priority="1000000">
     <action_set>
-      <pseudo_event id="17" operation="demoted" operation_key="ms1_demoted_0">
+      <pseudo_event id="18" operation="demoted" operation_key="ms1_demoted_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="6" operation="demote" operation_key="rsc1:1_demote_0" internal_operation_key="rsc1:0_demote_0"/>
+        <pseudo_event id="7" operation="demote" operation_key="rsc1:1_demote_0" internal_operation_key="rsc1:0_demote_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="16" operation="demote" operation_key="ms1_demote_0"/>
+        <pseudo_event id="17" operation="demote" operation_key="ms1_demote_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
     <action_set>
-      <pseudo_event id="16" operation="demote" operation_key="ms1_demote_0">
+      <pseudo_event id="17" operation="demote" operation_key="ms1_demote_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
@@ -78,74 +78,73 @@
   </synapse>
   <synapse id="6" priority="1000000">
     <action_set>
-      <pseudo_event id="13" operation="stopped" operation_key="ms1_stopped_0">
+      <pseudo_event id="14" operation="stopped" operation_key="ms1_stopped_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="7" operation="stop" operation_key="rsc1:1_stop_0" internal_operation_key="rsc1:0_stop_0"/>
+        <pseudo_event id="8" operation="stop" operation_key="rsc1:1_stop_0" internal_operation_key="rsc1:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="12" operation="stop" operation_key="ms1_stop_0"/>
+        <pseudo_event id="13" operation="stop" operation_key="ms1_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7">
     <action_set>
-      <pseudo_event id="12" operation="stop" operation_key="ms1_stop_0">
+      <pseudo_event id="13" operation="stop" operation_key="ms1_stop_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="17" operation="demoted" operation_key="ms1_demoted_0"/>
+        <crm_event id="3" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1"/>
       </trigger>
       <trigger>
-        <crm_event id="19" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1"/>
+        <pseudo_event id="18" operation="demoted" operation_key="ms1_demoted_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="8">
     <action_set>
-      <crm_event id="19" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1">
-        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="node1"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="9">
-    <action_set>
-      <pseudo_event id="18" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="19" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="19" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1"/>
+        <crm_event id="3" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="10">
+  <synapse id="9">
     <action_set>
-      <pseudo_event id="3" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="4" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="4" operation="stop" operation_key="rsc_stonith_stop_0"/>
+        <pseudo_event id="5" operation="stop" operation_key="rsc_stonith_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="7" operation="stop" operation_key="rsc1:1_stop_0" internal_operation_key="rsc1:0_stop_0"/>
+        <pseudo_event id="8" operation="stop" operation_key="rsc1:1_stop_0" internal_operation_key="rsc1:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="18" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="19" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="10">
+    <action_set>
+      <crm_event id="3" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="node1">
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="node1"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
-
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/ticket-primitive-21.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/ticket-primitive-21.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/ticket-primitive-21.exp
@@ -1,53 +1,52 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <pseudo_event id="5" operation="stop" operation_key="rsc1_stop_0">
+      <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="7" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
+        <crm_event id="2" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <crm_event id="7" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2">
-        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="node2"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="2">
-    <action_set>
-      <pseudo_event id="6" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="7" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="7" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
+        <crm_event id="2" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="3">
+  <synapse id="2">
     <action_set>
-      <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="3" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="5" operation="stop" operation_key="rsc1_stop_0"/>
+        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="6" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="7" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="3">
+    <action_set>
+      <crm_event id="2" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2">
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="node2"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
-
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/ticket-primitive-9.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/ticket-primitive-9.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/ticket-primitive-9.exp
@@ -1,53 +1,52 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <pseudo_event id="5" operation="stop" operation_key="rsc1_stop_0">
+      <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="7" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
+        <crm_event id="2" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <crm_event id="7" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2">
-        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="node2"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="2">
-    <action_set>
-      <pseudo_event id="6" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="7" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="7" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
+        <crm_event id="2" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="3">
+  <synapse id="2">
     <action_set>
-      <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="3" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="5" operation="stop" operation_key="rsc1_stop_0"/>
+        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="6" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="7" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="3">
+    <action_set>
+      <crm_event id="2" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2">
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="node2"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
-
